package com.lightinit.hsdatashow.model.admin;


import java.util.Objects;

/**
 * @Author: sunxiang
 * @Date: 2018/8/28 11:53
 * @Description:
 **/
public class MultiFunctionalModel {

    private Long id;
    private int year;
    private String name;
    private Object temp1;
    private Object temp2;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public Object getTemp1() {
        return temp1;
    }

    public void setTemp1(Object temp1) {
        this.temp1 = temp1;
    }

    public Object getTemp2() {
        return temp2;
    }

    public void setTemp2(Object temp2) {
        this.temp2 = temp2;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        MultiFunctionalModel model = (MultiFunctionalModel) o;
        return year == model.year &&
                Objects.equals(name, model.name);
    }

    @Override
    public int hashCode() {

        return Objects.hash(year, name);
    }
}
